Bug 101577 - [maintainer update] lang/sketchy
Summary: [maintainer update] lang/sketchy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-07 13:10 UTC by Nils M Holm
Modified: 2006-08-18 20:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nils M Holm 2006-08-07 13:10:19 UTC
Update to version 2006-08-07.
Made port respect PREFIX.
Added -fPIC to CFLAGS.

Fix: 

-- 
Nils M Holm <nmh@t3x.org> -- http://www.t3x.org/nmh/--puGQSwzPXCcER7StvpTIrp5cOlSjVNHelHOjlbnBAdS2mkY6
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ru lang/sketchy-old/Makefile lang/sketchy/Makefile
--- lang/sketchy-old/Makefile	Mon Mar 20 11:12:54 2006
+++ lang/sketchy/Makefile	Mon Aug  7 14:00:11 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sketchy
-PORTVERSION=	20060305
+PORTVERSION=	20060807
 CATEGORIES=	lang devel lisp scheme
 MASTER_SITES=	http://www.t3x.org/files/
 
@@ -16,7 +16,11 @@
 MAN7=		sketchy.7
 
 MAKE_ENV+=	BINOWN=${BINOWN} \
-		BINGRP=${BINGRP} \
-		PREFIX=${PREFIX}
+		BINGRP=${BINGRP}
+
+USE_REINPLACE=	yes
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|g' ${WRKSRC}/sketchy.h
 
 .include <bsd.port.mk>
diff -ru lang/sketchy-old/distinfo lang/sketchy/distinfo
--- lang/sketchy-old/distinfo	Mon Mar 20 11:12:54 2006
+++ lang/sketchy/distinfo	Mon Aug  7 14:00:11 2006
@@ -1,3 +1,3 @@
-MD5 (sketchy-20060305.tar.gz) = fb9e1994725520ae73bef15bbaa2e19f
-SHA256 (sketchy-20060305.tar.gz) = a5c6c0cad3bac4d5338e6cdcf92faa8e1279aadf92044b5544dd52c66cfbf3b4
-SIZE (sketchy-20060305.tar.gz) = 158582
+MD5 (sketchy-20060807.tar.gz) = 84d1e21f123df015b2133135b9e6eb6e
+SIZE (sketchy-20060807.tar.gz) = 154928
+SHA256 (sketchy-20060807.tar.gz) = d00e4031ff4236347b585667e4b23c92132e1e12cad7be2756646059e2ad2458
diff -ru lang/sketchy-old/pkg-plist lang/sketchy/pkg-plist
--- lang/sketchy-old/pkg-plist	Mon Mar 20 11:12:54 2006
+++ lang/sketchy/pkg-plist	Mon Aug  7 14:00:11 2006
@@ -1,5 +1,8 @@
 bin/sk
 bin/sketchy
+include/sketchy.h
+lib/libsketchy.a
+lib/libsketchy.so
 %%DATADIR%%/LICENSE
 %%DATADIR%%/lib/abs.l
 %%DATADIR%%/lib/append.l
@@ -151,9 +154,10 @@
 %%DATADIR%%/src/tree.l
 %%DATADIR%%/src/union.l
 %%DATADIR%%/src/unique.l
-%%DATADIR%%/src/unlabel.l
+%%DATADIR%%/src/unlet.l
 %%DATADIR%%/src/unsort.l
 %%DATADIR%%/src/vqueens.l
+%%DOCSDIR%%/index.html
 %%DOCSDIR%%/library/abs.html
 %%DOCSDIR%%/library/append.html
 %%DOCSDIR%%/library/assoc.html
@@ -256,8 +260,21 @@
 %%DOCSDIR%%/library/succ.html
 %%DOCSDIR%%/library/times.html
 %%DOCSDIR%%/library/zerop.html
-%%DOCSDIR%%/index.html
+%%DOCSDIR%%/license.html
 %%DOCSDIR%%/ndx2.html
+%%DOCSDIR%%/prog/bottles.html
+%%DOCSDIR%%/prog/draw-tree.html
+%%DOCSDIR%%/prog/fact.html
+%%DOCSDIR%%/prog/factors.html
+%%DOCSDIR%%/prog/hyper.html
+%%DOCSDIR%%/prog/infix.html
+%%DOCSDIR%%/prog/permute.html
+%%DOCSDIR%%/prog/prefix.html
+%%DOCSDIR%%/prog/prolog.html
+%%DOCSDIR%%/prog/qsort.html
+%%DOCSDIR%%/prog/queens.html
+%%DOCSDIR%%/prog/read-line.html
+%%DOCSDIR%%/progs.html
 %%DOCSDIR%%/sk01.html
 %%DOCSDIR%%/sk02.html
 %%DOCSDIR%%/sk03.html
@@ -267,11 +284,13 @@
 %%DOCSDIR%%/sk07.html
 %%DOCSDIR%%/sk08.html
 %%DOCSDIR%%/sk09.html
+%%DOCSDIR%%/sk10.html
+%%DOCSDIR%%/sketchy.css
 %%DOCSDIR%%/toc2-x.html
 %%DOCSDIR%%/toc2.html
-%%DOCSDIR%%/sketchy.css
 @dirrm %%DATADIR%%/lib
 @dirrm %%DATADIR%%/src
 @dirrm %%DATADIR%%
 @dirrm %%DOCSDIR%%/library
+@dirrm %%DOCSDIR%%/prog
 @dirrm %%DOCSDIR%%
Comment 1 Martin Wilke freebsd_committer 2006-08-14 13:37:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2006-08-14 14:49:56 UTC
Hi, The port does not build. Can you take a look in it?

http://miwibox.org/tb/index.php?action=describe_port&id=203

- Martin
Comment 3 Martin Wilke freebsd_committer 2006-08-14 14:50:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 4 Martin Wilke freebsd_committer 2006-08-14 14:55:16 UTC
On Mon, 14 Aug 2006 15:49:56 +0200
Martin Wilke <miwi@FreeBSD.org> wrote:

> Hi, The port does not build. Can you take a look in it?
> 
> http://miwibox.org/tb/index.php?action=describe_port&id=203
> 
> - Martin
 
Oh i forget to say, USE_REINPLACE is now obsolete.

- Martin
Comment 5 Nils M Holm 2006-08-14 16:15:22 UTC
On Mon, Aug 14, 2006 at 03:49:56PM +0200, Martin Wilke wrote:
> Hi, The port does not build. Can you take a look in it?

Oops. When did gawk(1) stop accepting C-style comments?
Anyway, here's the fix.

diff -ru lang/sketchy-old/Makefile lang/sketchy/Makefile
--- lang/sketchy-old/Makefile	Mon Mar 20 11:12:54 2006
+++ lang/sketchy/Makefile	Mon Aug  7 14:00:11 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sketchy
-PORTVERSION=	20060305
+PORTVERSION=	20060807
 CATEGORIES=	lang devel lisp scheme
 MASTER_SITES=	http://www.t3x.org/files/
 
@@ -16,7 +16,11 @@
 MAN7=		sketchy.7
 
 MAKE_ENV+=	BINOWN=${BINOWN} \
-		BINGRP=${BINGRP} \
-		PREFIX=${PREFIX}
+		BINGRP=${BINGRP}
+
+USE_REINPLACE=	yes
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|g' ${WRKSRC}/sketchy.h
 
 .include <bsd.port.mk>
diff -ru lang/sketchy-old/distinfo lang/sketchy/distinfo
--- lang/sketchy-old/distinfo	Mon Mar 20 11:12:54 2006
+++ lang/sketchy/distinfo	Mon Aug  7 14:00:11 2006
@@ -1,3 +1,3 @@
-MD5 (sketchy-20060305.tar.gz) = fb9e1994725520ae73bef15bbaa2e19f
-SHA256 (sketchy-20060305.tar.gz) = a5c6c0cad3bac4d5338e6cdcf92faa8e1279aadf92044b5544dd52c66cfbf3b4
-SIZE (sketchy-20060305.tar.gz) = 158582
+MD5 (sketchy-20060807.tar.gz) = bc1fd42b886767451192c9645cf9b3ce
+SIZE (sketchy-20060807.tar.gz) = 154962
+SHA256 (sketchy-20060807.tar.gz) = 454e3d91ed495cab48a663c4b9b0dacfcb94d41f4be3cae69538c38e9231798f
diff -ru lang/sketchy-old/pkg-plist lang/sketchy/pkg-plist
--- lang/sketchy-old/pkg-plist	Mon Mar 20 11:12:54 2006
+++ lang/sketchy/pkg-plist	Mon Aug  7 14:00:11 2006
@@ -1,5 +1,8 @@
 bin/sk
 bin/sketchy
+include/sketchy.h
+lib/libsketchy.a
+lib/libsketchy.so
 %%DATADIR%%/LICENSE
 %%DATADIR%%/lib/abs.l
 %%DATADIR%%/lib/append.l
@@ -151,9 +154,10 @@
 %%DATADIR%%/src/tree.l
 %%DATADIR%%/src/union.l
 %%DATADIR%%/src/unique.l
-%%DATADIR%%/src/unlabel.l
+%%DATADIR%%/src/unlet.l
 %%DATADIR%%/src/unsort.l
 %%DATADIR%%/src/vqueens.l
+%%DOCSDIR%%/index.html
 %%DOCSDIR%%/library/abs.html
 %%DOCSDIR%%/library/append.html
 %%DOCSDIR%%/library/assoc.html
@@ -256,8 +260,21 @@
 %%DOCSDIR%%/library/succ.html
 %%DOCSDIR%%/library/times.html
 %%DOCSDIR%%/library/zerop.html
-%%DOCSDIR%%/index.html
+%%DOCSDIR%%/license.html
 %%DOCSDIR%%/ndx2.html
+%%DOCSDIR%%/prog/bottles.html
+%%DOCSDIR%%/prog/draw-tree.html
+%%DOCSDIR%%/prog/fact.html
+%%DOCSDIR%%/prog/factors.html
+%%DOCSDIR%%/prog/hyper.html
+%%DOCSDIR%%/prog/infix.html
+%%DOCSDIR%%/prog/permute.html
+%%DOCSDIR%%/prog/prefix.html
+%%DOCSDIR%%/prog/prolog.html
+%%DOCSDIR%%/prog/qsort.html
+%%DOCSDIR%%/prog/queens.html
+%%DOCSDIR%%/prog/read-line.html
+%%DOCSDIR%%/progs.html
 %%DOCSDIR%%/sk01.html
 %%DOCSDIR%%/sk02.html
 %%DOCSDIR%%/sk03.html
@@ -267,11 +284,13 @@
 %%DOCSDIR%%/sk07.html
 %%DOCSDIR%%/sk08.html
 %%DOCSDIR%%/sk09.html
+%%DOCSDIR%%/sk10.html
+%%DOCSDIR%%/sketchy.css
 %%DOCSDIR%%/toc2-x.html
 %%DOCSDIR%%/toc2.html
-%%DOCSDIR%%/sketchy.css
 @dirrm %%DATADIR%%/lib
 @dirrm %%DATADIR%%/src
 @dirrm %%DATADIR%%
 @dirrm %%DOCSDIR%%/library
+@dirrm %%DOCSDIR%%/prog
 @dirrm %%DOCSDIR%%

-- 
Nils M Holm <nmh@t3x.org> -- http://www.t3x.org/nmh/
Comment 6 Martin Wilke freebsd_committer 2006-08-18 20:29:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!